## Contents

- Static Methods

class solace.LogImpl

A class that provides a binding to a log implementation. Applications that need to control API logging must construct a LogImpl instance, a log implementation that can be set in solace.SolclientFactoryProperties#logger. The binding will call the supplied log methods with the parameters supplied to each.

## Constructor Top

| LogImpl ( solace.LogImpl.loggingCallback trace, solace.LogImpl.loggingCallback debug, solace.LogImpl.loggingCallback info, solace.LogImpl.loggingCallback warn, solace.LogImpl.loggingCallback error, solace.LogImpl.loggingCallback fatal ) |  |

## Static Methods Top

void | loggingCallback ( * args ) |

## Constructor details Top

###
LogImpl ( solace.LogImpl.loggingCallback trace, solace.LogImpl.loggingCallback debug, solace.LogImpl.loggingCallback info, solace.LogImpl.loggingCallback warn, solace.LogImpl.loggingCallback error, solace.LogImpl.loggingCallback fatal )

A class that provides a binding to a log implementation. Applications that need to control API logging must construct a LogImpl instance, a log implementation that can be set in solace.SolclientFactoryProperties#logger. The binding will call the supplied log methods with the parameters supplied to each.

#### Parameters

solace.LogImpl.loggingCallback | trace Callback for solace.LogLevel.TRACE logs.
solace.LogImpl.loggingCallback | debug Callback for solace.LogLevel.DEBUG logs.
solace.LogImpl.loggingCallback | info Callback for solace.LogLevel.INFO logs.
solace.LogImpl.loggingCallback | warn Callback for solace.LogLevel.WARN logs.
solace.LogImpl.loggingCallback | error Callback for solace.LogLevel.ERROR logs.
solace.LogImpl.loggingCallback | fatal Callback for solace.LogLevel.FATAL logs.

## Static Methods Detail Top

###
static public void loggingCallback ( * args )

A logging callback. It must accept any valid number of arguments of any type. It must not throw.

#### Parameters

* | args The arguments to log. Typically this is a mixture of strings and objects to be inspected. A simple implementation might call .toString() on each argument.

#### Return Value

void |